module Main where

import           Language.Haskell.Pretty
import           Language.Haskell.Syntax
import           Text.XML.HXT.Compilation
import           Text.XML.HXT.Arrow
import qualified System.IO.UTF8 as Uio


main :: IO ()
main = do let fpath = "examples/dtd.xml"

          [hsMod] <- runX ( setErrorMsgHandler False fail
                            >>>
                            constA fpath
                            >>>
                            readFromDocument [ (a_validate        , v_0)
                                             , (a_canonicalize    , v_0)
                                             , (a_check_namespaces, v_1)
                                             ]
                            >>>
                            ( constA (Module "Foo")
                              &&&
                              constA []
                              &&&
                              constA (HsIdent "foo")
                              &&&
                              compileDocument
                            )
                            >>>
                            wrapIntoModule
                          )
          Uio.putStrLn (prettyPrint hsMod)
